Brackets-HTML5CodeHints
=======================

Extend Brackets HTML code hints with more HTML5 elements and attributes such as Picture, Srcset, Template, inputmode as well as some HTML4 elements such as cellpadding, cellspacing and iframe. Also includes hints for Web Components and Schema.org.

Complete list of elements added:

**HTML4 Tags**
* acronym
* center
* frame ("frameborder", "name", "scrolling", "src")
* frameset ("rows")

**HTML4 Attributes**
* iframe ("frameborder", "scrolling")
* table ("cellpadding", "cellspacing", "height", "width")

**HTML5 Tags**
* content (Shadow DOM)
* picture
* template (Web Components)

**HTML5 Attributes**
* autocorrect
* autocapitalize
* inputmode
* itemscope, itemtype, itemprop (Microdata - Schema.org)
* onsearch
* srcset

**HTML5 Attribute Options**
* audio ("buffered", "played")
* autocomplete ("billing", "cc-name", "cc-number", "cc-css", "cc-exp-month", "cc-exp-year", "cc-type", "country", "email", "name", "postal-code", "region", "shipping", "street-address", "tel", "url")
* http-equiv ("X-UA-Compatible", "content-language")
* img ("sizes", "srcset")
* input ("autocorrect", "inputmode", "minlength")
* inputmode ("email", "numeric", "tel")
* link/rel ("canonical", "dns-prefetch", "import", "profile", "shortlink")
* meta/name ("format-detection", "publisher", "referrer", "robots", "theme-color", "viewport")
* meta/property ("al:ios:url", "al:ios:app_store_id", "al:ios:app_name", "al:android:url", "al:android:app_name", "al:android:package", "al:web:url") [applinks.org]
* script/type ("application/ld+json")
* source ("sizes", "srcset")
* textarea ("autocomplete", "spellcheck")
* video ("buffered", "crossorigin", "played")

If you spot a HTML tag or attribute missing that you'd like added please open an issue or pull-request.
https://github.com/coliff/Brackets-HTML5CodeHints